# Change RTSP streaming parameters

## 1. Overview

* This is a method to allow user can change the parameter of RTSP streaming from the Zio payload.
* Software: v2.0.1.3 or higher, [download lin&#x6B;*.*](https://github.com/Gremsy/Zio_SoM_Firmware/releases/latest)

## **2. How to use**

* Create a "rtsp\_stream.json" file to the top folder on the micro SDcard then plug into the Zio payloads.
* Reboot to apply the settings.
* The parameter will be default if the Zio payload can not detect the config file on the micro SDcard.
* The default settings is:
  * Resolution: 1280x720
  * Bitrate: 4000000 (4M)
  * Port: 8554
  * Mount point: Zio
  * Autoconnect: Enable

## **3. The content of rtsp\_stream.txt file.**

```
{
    "resolution": "1",
    "bitrate": "4000000",
    "port": "8554",
    "mount point": "zio",
    "autoconnect": "enable"
}
```

> ***Note:***
>
> * "resolution": change RTSP resolution output ***(current not support).***
> * "bitrate": change RTSP bitrate output (unit: bit).
> * "port": change port to RTSP URL (number).
> * "mount point": change mount point to RTSP URL (no spaces, no special characters).
> * "autoconnect": enable/disable request video stream information from autopilot.

## **4. Test command with gStreamer.**

```
gst-launch-1.0 rtspsrc latency=0 location=rtsp://<zio_ip>:<zio_port>/<zio_mount_point> ! rtph264depay ! decodebin ! videoconvert ! autovideosink sync=false
```

* Change the latency to 100 / 500/ 1000 then see the difference.

## **5. Convert dos2unix**

* If you create a rtsp\_stream.json on a Windows machine, it must be converted to Unix system file style.&#x20;
* Please use the below tools to convert the file before putting it onto the micro SDcard.

```
https://toolslick.com/conversion/text/dos-to-unix
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gremsy.com/payloads/zio/ethernet-video-stream/change-rtsp-streaming-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
